Bug 1667410

Summary: CVE-2019-6251 epiphany: webkitgtk: processing maliciously crafted web content lead to URI spoofing [fedora-all]
Product: [Fedora] Fedora Reporter: Dhananjay Arunesh <darunesh>
Component: webkit2gtk3Assignee: Eike Rathke <erack>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 29CC: erack, gecko-bugs-nobody, gnome-sig, jhorak, john.j5live, mcatanzaro, mclasen, nobrowser, phatina, rhughes, rstrode, sandmann, tpopela
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: webkit2gtk3-2.24.1-1.fc30 webkit2gtk3-2.24.1-1.fc29 webkit2gtk3-2.24.1-1.fc28 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-13 00:05:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Dhananjay Arunesh 2019-01-18 11:56:26 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Dhananjay Arunesh 2019-01-18 11:56:30 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1667409,1667410

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Michael Catanzaro 2019-01-18 15:04:25 UTC
The CVE description is wrong. There's no input validation involved here.

Comment 3 Fedora Update System 2019-04-11 16:33:58 UTC
webkit2gtk3-2.24.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-432b3dff25

Comment 4 Fedora Update System 2019-04-11 16:36:41 UTC
webkit2gtk3-2.24.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d9a15be3ba

Comment 5 Michael Catanzaro 2019-04-11 16:41:10 UTC
There's also https://bodhi.fedoraproject.org/updates/FEDORA-2019-b3ad0a302b for F29, but it's locked currently.

Comment 6 Fedora Update System 2019-04-12 09:29:00 UTC
webkit2gtk3-2.24.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b3ad0a302b

Comment 7 Fedora Update System 2019-04-13 00:05:13 UTC
webkit2gtk3-2.24.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-04-13 03:22:09 UTC
webkit2gtk3-2.24.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-432b3dff25

Comment 9 Fedora Update System 2019-04-15 17:43:49 UTC
webkit2gtk3-2.24.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-24 22:58:27 UTC
webkit2gtk3-2.24.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Dhananjay Arunesh 2019-05-13 11:50:06 UTC

*** This bug has been marked as a duplicate of bug 1709313 ***

Comment 12 Michael Catanzaro 2019-05-13 12:38:04 UTC
This is not a duplicate of bug #1709313.

This has been fixed in WebKitGTK 2.24.1.